import { e as u } from "./index-_virtual17.js";
var d = {
  FAILED: "failed",
  LOADED: "loaded",
  LOADING: "loading",
  PENDING: "pending",
  READY: "ready",
  UNSUPPORTED: "unsupported"
};
function f() {
  return u.canUseDOM;
}
function v() {
  return i() && typeof window < "u" && window !== null;
}
function i() {
  if (!document)
    return !1;
  var r = document.createElement("div");
  r.innerHTML = "<svg />";
  var n = r.firstChild;
  return !!n && n.namespaceURI === "http://www.w3.org/2000/svg";
}
function s(r) {
  return r[Math.floor(Math.random() * r.length)];
}
function l(r) {
  for (var n = "abcdefghijklmnopqrstuvwxyz", e = "1234567890", a = "".concat(n).concat(n.toUpperCase()).concat(e), t = "", o = 0; o < r; o++)
    t += s(a);
  return t;
}
function p(r) {
  for (var n = [], e = 1; e < arguments.length; e++)
    n[e - 1] = arguments[e];
  var a = {};
  for (var t in r)
    ({}).hasOwnProperty.call(r, t) && (n.includes(t) || (a[t] = r[t]));
  return a;
}
export {
  d as STATUS,
  f as canUseDOM,
  v as isSupportedEnvironment,
  p as omit,
  l as randomString,
  i as supportsInlineSVG
};
